\usepackage{amsmath}
\usepackage{xfrac}
\usepackage{nicematrix}

\newcommand{\pa}[1]{\left(#1\right)} % encloses the argument using stretchable parentheses
\newcommand{\bra}[1]{\left[#1\right]} % encloses the argument using stretchable square brackets
\newcommand{\cpa}[1]{\left\{#1\right\}}

% matrices for displayed expressions
\newcommand{\mat}[1]{\begin{NiceMatrix}#1\end{NiceMatrix}} % no delimiters
\newcommand{\pnnmat}[1]{\pa{\begin{matrix}#1\end{matrix}}} % parentheses as delimiters
\newcommand{\pmat}[1]{\begin{pNiceMatrix}#1\end{pNiceMatrix}} % parentheses as delimiters
\newcommand{\bmat}[1]{\bra{\mat{#1}}} % square brackets as delimiters

% variations of \frac and \sfrac
\newcommand{\pfrac}[2]{\pa{\frac{#1}{#2}}} % enclosed in parentheses
\newcommand{\bfrac}[2]{\bra{\frac{#1}{#2}}} % enclosed in square brackets
\newcommand{\psfrac}[2]{\pa{\sfrac{#1}{#2}}} % sfrac enclosed in parentheses
\newcommand{\bsfrac}[2]{\bra{\sfrac{#1}{#2}}} % sfrac enclosed in square brackets

% for small matrices to be used in in-line expressions
\newcommand{\sm}[1]{\begin{smallmatrix}#1\end{smallmatrix}} % no delimiters 
\newcommand{\psm}[1]{\pa{\sm{#1}}} % parentheses as delimiters
\newcommand{\bsm}[1]{\bra{\sm{#1}}} % square brackets as delimiters

\newcommand{\ang}[1]{\left\langle#1\right\rangle}

\newcommand{\av}[1]{\left|#1\right|}

\newcommand{\Vect}[1]{\text{Vect}\left\{#1\right\}}

\newcommand{\norm}[1]{\left|\left|#1\right|\right|}

\renewcommand{\det}[1]{\text{det}\left(#1\right)}
